# FireSpinTag | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class FireSpinTag

#### Hierarchy (view full)

- VortexTrapTag
  - FireSpinTag

- Defined in src/data/battler-tags.ts:799

#####
Index

### Constructors

constructor

### Properties

lapseType
sourceId?
sourceMove
tagType
turnCount

### Methods

canAdd
getDescriptor
getMoveName
getTrapMessage
isSourceLinked
lapse
loadTag
onAdd
onOverlap
onRemove

## Constructors

### constructor

- new FireSpinTag(turnCount, sourceId): FireSpinTag

- #### Parameters

  - turnCount: number
  - sourceId: number

  #### Returns FireSpinTag

  Overrides VortexTrapTag.constructor

  - Defined in src/data/battler-tags.ts:800

## Properties

### lapseType

lapseType: BattlerTagLapseType

Inherited from VortexTrapTag.lapseType

- Defined in src/data/battler-tags.ts:34

### `Optional` sourceId

sourceId?: number

Inherited from VortexTrapTag.sourceId

- Defined in src/data/battler-tags.ts:37

### sourceMove

sourceMove: Moves

Inherited from VortexTrapTag.sourceMove

- Defined in src/data/battler-tags.ts:36

### tagType

tagType: BattlerTagType

Inherited from VortexTrapTag.tagType

- Defined in src/data/battler-tags.ts:33

### turnCount

turnCount: number

Inherited from VortexTrapTag.turnCount

- Defined in src/data/battler-tags.ts:35

## Methods

### canAdd

- canAdd(pokemon): boolean

- #### Parameters

  - pokemon: default

  #### Returns boolean

  Inherited from VortexTrapTag.canAdd

  - Defined in src/data/battler-tags.ts:734

### getDescriptor

- getDescriptor(): string

- #### Returns string

  Inherited from VortexTrapTag.getDescriptor

  - Defined in src/data/battler-tags.ts:144

### getMoveName

- getMoveName(): string

- #### Returns string

  Inherited from VortexTrapTag.getMoveName

  - Defined in src/data/battler-tags.ts:69

### getTrapMessage

- getTrapMessage(pokemon): string

- #### Parameters

  - pokemon: default

  #### Returns string

  Inherited from VortexTrapTag.getTrapMessage

  - Defined in src/data/battler-tags.ts:794

### isSourceLinked

- isSourceLinked(): boolean

- #### Returns boolean

  Inherited from VortexTrapTag.isSourceLinked

  - Defined in src/data/battler-tags.ts:148

### lapse

- lapse(pokemon, lapseType): boolean

- #### Parameters

  - pokemon: default
  - lapseType: BattlerTagLapseType

  #### Returns boolean

  Inherited from VortexTrapTag.lapse

  - Defined in src/data/battler-tags.ts:738

### loadTag

- loadTag(source): void

- When given a battler tag or json representing one, load the data for it.

  #### Parameters

  - source: any

    A battler tag

  #### Returns void

  Inherited from VortexTrapTag.loadTag

  - Defined in src/data/battler-tags.ts:729

### onAdd

- onAdd(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from VortexTrapTag.onAdd

  - Defined in src/data/battler-tags.ts:129

### onOverlap

- onOverlap(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from VortexTrapTag.onOverlap

  - Defined in src/data/battler-tags.ts:55

### onRemove

- onRemove(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from VortexTrapTag.onRemove

  - Defined in src/data/battler-tags.ts:135